Operator.ACTION
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcemanager.impl.operators
Enum Operator.ACTION

    java.lang.Object
      java.lang.Enum<Operator.ACTION>
          org.gcube.vremanagement.resourcemanager.impl.operators.Operator.ACTION

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Operator.ACTION>

Enclosing class:
  Operator

    public static enum Operator.ACTION

extends java.lang.Enum<Operator.ACTION>

Enum Constant Summary
`ADD`
`REMOVE`

Method Summary
`static Operator.ACTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Operator.ACTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final Operator.ACTION ADD

### REMOVE

    public static final Operator.ACTION REMOVE

Method Detail

### values

    public static Operator.ACTION[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Operator.ACTION c : Operator.ACTION.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Operator.ACTION valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD